import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, SimpleChanges, OnInit, AfterViewInit, OnChanges, AfterContentChecked, Renderer2 } from '@angular/core';
import { Images } from './interfaces';
import { Properties as CarouselProperties } from './interfaces';
import * as i0 from "@angular/core";
export declare class CarouselComponent implements OnDestroy, OnInit, AfterViewInit, OnChanges, AfterContentChecked {
    private elementRef;
    private ref;
    private renderer;
    carousel: any;
    container: any;
    utils: any;
    cells: any;
    slide: any;
    _id: string;
    _images: Images;
    _contents: any;
    touches: any;
    landscapeMode: any;
    minTimeout: number;
    isVideoPlaying: boolean;
    _isCounter: boolean;
    _width: number;
    _cellWidth: number | '100%';
    _loop: boolean;
    _lightDOM: boolean;
    isMoving: boolean;
    isNgContent: boolean;
    carouselContents: any;
    cellLength: number;
    dotsArr: any;
    carouselProperties: CarouselProperties;
    savedCarouselWidth: number;
    get isContainerLocked(): any;
    get slideCounter(): any;
    get lapCounter(): any;
    get isLandscape(): boolean;
    get isSafari(): any;
    get counter(): string;
    get cellsElement(): any;
    get isArrows(): boolean;
    get isCounter(): boolean;
    get activeDotIndex(): number;
    get cellLimit(): any;
    get carouselWidth(): any;
    events: EventEmitter<any>;
    id: number;
    height: number;
    width: number;
    autoplay: boolean;
    autoplayInterval: number;
    pauseOnHover: boolean;
    dots: boolean;
    borderRadius: number;
    margin: number;
    objectFit: 'contain' | 'cover' | 'none';
    minSwipeDistance: number;
    transitionDuration: number;
    transitionTimingFunction: 'ease' | 'ease-in' | 'ease-out' | 'ease-in-out' | 'linear';
    videoProperties: any;
    counterSeparator: string;
    overflowCellsLimit: number;
    listeners: 'auto' | 'mouse and touch';
    cellsToShow: number;
    cellsToScroll: number;
    freeScroll: boolean;
    arrows: boolean;
    arrowsOutside: boolean;
    arrowsTheme: 'light' | 'dark';
    set images(images: Images & any);
    get images(): Images & any;
    set contents(contents: any);
    get contents(): any;
    set cellWidth(value: number | '100%');
    set isCounter(value: boolean);
    set loop(value: boolean);
    get loop(): boolean;
    set lightDOM(value: boolean);
    get lightDOM(): boolean;
    hostClassCarousel: boolean;
    hostStyleHeight: string;
    hostStyleWidth: string;
    onWindowResize(event: any): void;
    onMousemove(event: MouseEvent): void;
    onMouseleave(event: MouseEvent): void;
    constructor(elementRef: ElementRef, ref: ChangeDetectorRef, renderer: Renderer2);
    ngAfterContentChecked(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    initCarousel(): void;
    resize(): void;
    detectDomChanges(): void;
    onDomChanges(): void;
    setDimensions(): void;
    getImage(index: number): any;
    handleTouchstart: (event: any) => void;
    handleHorizontalSwipe: (event: any) => void;
    handleTouchend: (event: any) => void;
    handleTap: (event: any) => void;
    handleTransitionendCellContainer(event: any): void;
    getCellWidth(): any;
    next(): void;
    prev(): void;
    isNextArrowDisabled(): any;
    isPrevArrowDisabled(): any;
    getCellLength(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CarouselComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CarouselComponent, "carousel, [carousel]", never, { "id": { "alias": "id"; "required": false; }; "height": { "alias": "height"; "required": false; }; "width": { "alias": "width"; "required": false; }; "autoplay": { "alias": "autoplay"; "required": false; }; "autoplayInterval": { "alias": "autoplayInterval"; "required": false; }; "pauseOnHover": { "alias": "pauseOnHover"; "required": false; }; "dots": { "alias": "dots"; "required": false; }; "borderRadius": { "alias": "borderRadius"; "required": false; }; "margin": { "alias": "margin"; "required": false; }; "objectFit": { "alias": "objectFit"; "required": false; }; "minSwipeDistance": { "alias": "minSwipeDistance"; "required": false; }; "transitionDuration": { "alias": "transitionDuration"; "required": false; }; "transitionTimingFunction": { "alias": "transitionTimingFunction"; "required": false; }; "videoProperties": { "alias": "videoProperties"; "required": false; }; "counterSeparator": { "alias": "counterSeparator"; "required": false; }; "overflowCellsLimit": { "alias": "overflowCellsLimit"; "required": false; }; "listeners": { "alias": "listeners"; "required": false; }; "cellsToShow": { "alias": "cellsToShow"; "required": false; }; "cellsToScroll": { "alias": "cellsToScroll"; "required": false; }; "freeScroll": { "alias": "freeScroll"; "required": false; }; "arrows": { "alias": "arrows"; "required": false; }; "arrowsOutside": { "alias": "arrowsOutside"; "required": false; }; "arrowsTheme": { "alias": "arrowsTheme"; "required": false; }; "images": { "alias": "images"; "required": false; }; "cellWidth": { "alias": "cellWidth"; "required": false; }; "isCounter": { "alias": "counter"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "lightDOM": { "alias": "lightDOM"; "required": false; }; }, { "events": "events"; }, ["carouselContents"], ["*"], false, never>;
}
