import { Properties as CarouselProperties } from './interfaces';
export interface Properties {
    carouselProperties: CarouselProperties;
}
export declare class Slide {
    private carouselProperties;
    private utils;
    private cells;
    private container;
    slideLength: number;
    isSlideInProgress: boolean;
    direction: 'left' | 'right' | undefined;
    counter: number;
    _counter: number;
    distance: number;
    distanceAbs: number;
    visibleWidth: number;
    isNotClickOnArrow: boolean;
    initialPositionX: number;
    currentPositionX: number;
    isSlideLengthLimited: boolean;
    get fullCellWidth(): number;
    get margin(): number;
    get minSwipeDistance(): number;
    get numberOfVisibleCells(): any;
    get visibleCellsOverflowContainer(): any;
    get fixedContainerPosition(): number;
    get overflowCellsLimit(): any;
    get images(): any;
    get contents(): any;
    get cellLength(): any;
    get isLightDOM(): boolean;
    constructor(carouselProperties: CarouselProperties, utils: any, cells: any, container: any);
    updateProperties(carouselProperties: CarouselProperties): void;
    init(): void;
    handleTouchstart(): void;
    handleTouchend(): void;
    handleTransitionend(): void;
    handleSlide(customSlideLength?: number | undefined): void;
    next(length?: number): void;
    prev(length?: number): void;
    select(index: number): void;
    getPreliminaryCounter(): number;
    limitSlideLength(slideLength: number): number;
    getPositionCorrection(counter: number): number;
    getSlideLength(distanceAbs: number): number;
    getDistanceAbs(): number;
    getDirection(): "left" | "right" | undefined;
    isSlidesEnd(counter: number): boolean;
    isLastSlide(counter: number): boolean;
    setCounter(): void;
    getPositionByIndex(_counter: number): number;
    provideSafePosition(position: number): number;
    getPositionWithoutCorrection(value: number): number;
    isNextArrowDisabled(): any;
    isPrevArrowDisabled(): boolean;
    alignContainerFast(): void;
    isLightDOMMode(counter: number): boolean | undefined;
    ifLeftDOMModeAtEnd(counter: number): boolean | undefined;
    ifLeftDOMModeToBeginning(counter: number): boolean | undefined;
    setVisibleWidth(): void;
}
